package com.jeeplus.modules.supply.materialLibrary.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 物料库Entity
 * @author: 黄俊杰
 * @create: 2022-02-28 16:00
 */
public class MaterialLibrary extends DataEntity<MaterialLibrary> {
    private String materialCode;            //物料编码
    private String materialDescription;     //物料描述

    //以下字段是为了能取到计量单位而随意设置的，无实意
    private String wlcms;
    private String dlbm;
    private String dlmc;
    private String zlbm;
    private String zlmc;
    private String xlbm;
    private String xlmc;
    private String cgbzmb;
    //到此结束

    private String unitOfMeasurement;       //计量单位


    @ExcelField(title="物料编码", align=2, sort=1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }
    @ExcelField(title="物料描述", align=2, sort=2)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }
    @ExcelField(title="物料长描述", align=2, sort=3)
    public String getWlcms() {
        return wlcms;
    }

    public void setWlcms(String wlcms) {
        this.wlcms = wlcms;
    }
    @ExcelField(title="大类编码", align=2, sort=4)
    public String getDlbm() {
        return dlbm;
    }

    public void setDlbm(String dlbm) {
        this.dlbm = dlbm;
    }
    @ExcelField(title="大类名称", align=2, sort=5)
    public String getDlmc() {
        return dlmc;
    }

    public void setDlmc(String dlmc) {
        this.dlmc = dlmc;
    }
    @ExcelField(title="中类编码", align=2, sort=6)
    public String getZlbm() {
        return zlbm;
    }

    public void setZlbm(String zlbm) {
        this.zlbm = zlbm;
    }
    @ExcelField(title="中类名称", align=2, sort=7)
    public String getZlmc() {
        return zlmc;
    }

    public void setZlmc(String zlmc) {
        this.zlmc = zlmc;
    }
    @ExcelField(title="小类编码", align=2, sort=8)
    public String getXlbm() {
        return xlbm;
    }

    public void setXlbm(String xlbm) {
        this.xlbm = xlbm;
    }
    @ExcelField(title="小类名称", align=2, sort=9)
    public String getXlmc() {
        return xlmc;
    }

    public void setXlmc(String xlmc) {
        this.xlmc = xlmc;
    }
    @ExcelField(title="采购标准模板", align=2, sort=10)
    public String getCgbzmb() {
        return cgbzmb;
    }

    public void setCgbzmb(String cgbzmb) {
        this.cgbzmb = cgbzmb;
    }
    @ExcelField(title="计量单位", align=2, sort=11)
    public String getUnitOfMeasurement() {
        return unitOfMeasurement;
    }

    public void setUnitOfMeasurement(String unitOfMeasurement) {
        this.unitOfMeasurement = unitOfMeasurement;
    }
}
